List Executions

Fetch a list of executions, sorted by the date they were created from newest to oldest.

GET/executions

This endpoint retrieves information about all file executions that Stedi has processed in your account. It's useful for displaying a list of processed files in a UI. If you want to programmatically fetch and check for new file executions, you should use the Poll Executions endpoint instead.

Authorization
RequiredHeader

A production Stedi API Key for authentication.

Query Parameters

pageSize
NumberRange: ≥ 1

The maximum number of elements to return in a page. You can set this to a maximum of 500 elements. If not specified, the default is 100.

pageToken
StringLength: 1 - 1024

An opaque token returned by a previous call to this operation in the nextPageToken. If not specified, Stedi returns the first page of results.

direction
String

The direction of the transaction. Inbound transactions are those you receive from a payer, provider, or other trading partner. Outbound transactions are those you send to a payer, provider, or other trading partner.

Possible values
INBOUND
OUTBOUND
UNKNOWN
faultCode
String

A code specifying the reason for the fault. This code appears in the code property of the HTTP error response.

Possible values
DELIVERY_FAILURE
FAILED_TO_EXTRACT_BUSINESS_IDENTIFIERS
FAILED_TO_FIND_GUIDE
FAILED_TO_FIND_LOCAL_PROFILE
FAILED_TO_FIND_PARTNER_PROFILE

The unique identifier for the partnership within the Stedi platform. If you're sending or receiving transactions through the Stedi clearinghouse, Stedi configures the necessary partnership for you automatically when you set up your account.

status
String

The status of the execution.

  • You can only retry executions with a FAILED or IGNORED status.
  • An execution is COMPLETED when Stedi has finished processing the file with no errors. If the file is an outbound file, a COMPLETED status also means that Stedi successfully delivered it to the configured connection.
Possible values
COMPLETED
PARTIALLY_COMPLETED
FAILED
IGNORED
IN_PROGRESS
mode
String

Indicates whether the file execution contains test or production data. Stedi determines this from the value in ISA15 (Usage Indicator Code).

Possible values
test
production
other
unknown
from
StringFormat: date-time

The start of the time range to filter file executions. The results will include executions created at or after this timestamp.

to
StringFormat: date-time

The end of the time range to filter file executions. The results will include executions up to and including this timestamp.

displayName
StringMin length: 3

Filter executions by the source of the file, including the directory and file name. Supports partial matching against the full path.

Response

application/json
nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.

items
Array of ObjectsRequired

The processed executions that match the request criteria. The items array is empty if there are no matching executions.

Array item